Bug 102415 - exception occurred when running neat
exception occurred when running neat
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-14 17:59 EDT by Gene Tyson
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 10:13:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exception message (1.51 KB, text/plain)
2003-08-14 18:26 EDT, Gene Tyson
no flags Details
output from # find /etc/sysconfig/networking (480 bytes, text/plain)
2003-08-15 11:57 EDT, Gene Tyson
no flags Details

  None (edit)
Description Gene Tyson 2003-08-14 17:59:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I ran up2date and this resulted in an exception when connecting to the network 
or attempting to adjust network configuration (with "neat").  

Version-Release number of selected component (if applicable):
redhat-config-network-0.9.10-2

How reproducible:
Always

Steps to Reproduce:
1.run neat
2.exception
3.close

Actual Results:  exception window opens when running neat

Expected Results:  open network configuration to adjust settings

Additional info:
Comment 1 Gene Tyson 2003-08-14 18:26:51 EDT
Created attachment 93650 [details]
exception message
Comment 2 Harald Hoyer 2003-08-15 09:44:29 EDT
Hmm, some directories seem to be missing..
# mkdir -p /etc/sysconfig/networking/profiles/default
# mkdir -p /etc/sysconfig/networking/devices

if that does not work please give me the output of:

# find /etc/sysconfig/networking
Comment 3 Gene Tyson 2003-08-15 11:57:15 EDT
Created attachment 93663 [details]
output from # find /etc/sysconfig/networking

Unfortunately, still not working.
Comment 4 Paul 2003-08-21 09:16:21 EDT
Message on RH 8.0 kernel 2.4.20-19.8:

Exception Occurred.

Traceback (most recent call last):
  File "/usr/sbin/neat", line 777, in update_devicelist
  File "/usr/sbin/neat", line 357, in hydrateDevices
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Control.py", line
63, in __init__
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Control.py", line
66, in load
OSError: Too many open files
Comment 5 Harald Hoyer 2003-08-21 09:22:58 EDT
Paul, please open a new bugzilla for this, or upgrade the rhpl package..

Note You need to log in before you can comment on or make changes to this bug.